import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot';

// Data set URI
const csvUrl = 'https://vizhub.com/Rajashekar551998/a0ff2f45d7f9495882607b75e73846b1?edit=files&file=index.html';  

// Format the Data from the URI response
const parseRow = (d) => {
 d.eye_length = +d.eye_length;
   d.eye_width = +d.eye_width;
   d.ear_length = +d.ear_length;
   d.ear_width = +d.ear_width;
  return d;
};

const width = window.innerWidth;
const height = window.innerHeight;

const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);

const main = async () => {
  
  // Creating a new Scatter Plot object
  const plot = scatterPlot()
    .width(width)
    .height(height)
    .data(await csv(csvUrl, parseRow))
    .xValue((d) => d.eye_width)
    .yValue((d) => d.ear_length)
    .margin({
      top: 20,
      right: 20,
      bottom: 40,
      left: 50,
    })
    .radius(5);

  // Plotting the Scatter Plot axes based on the given parameters
  svg.call(plot);

  const columns = [
    'eye_width',
    'eye_width',
    'ear_length',
    'ear_length',
  ];
  
  // Plotting the data on the Scatter Plot
  let i = 0;
 	plot.xValue((d) => d[columns[i % columns.length]]);
  svg.call(plot);
};
main();



